import { ABC } from "../deps.ts";
import { extractPackagePath, getFile } from "../utils.ts";

export default function raw(g: ABC.Group) {
   g.get("/:package/*path", async (ctx) => {
      console.log(ctx.params, ctx.path);
      let [packageName, packageVersion] = extractPackagePath(
         ctx.params.package
      );

      const E404 = () => {
         ctx.response.status = 404;
         ctx.response.body = "// Not found!";
      };

      const result = await getFile(
         packageName,
         packageVersion,
         ctx.params.path
      );
      if (!result) return E404();
      return result;
   });
}
