import { ABC } from "../deps.ts";
import { basicauth, extractPackagePath } from "../utils.ts";

export default function views(g: ABC.Application) {
   g.get(
      "/",
      async (ctx) => {
         return ctx.render("index", {
            search: ctx.queryParams["q"],
         });
         // const render = await IndexView();
         // console.log(render);
         // ctx.response.body = render;
         // ctx.response.status = 200;
      },
      basicauth("views")
   );
   g.get(
      "/package/:package",
      async (ctx) => {
         let [packageName, packageVersion] = extractPackagePath(
            ctx.params.package
         );

         return ctx.render("package", { packageName });
      },
      basicauth("views")
   );
}
